﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="//cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
    <style>
        #loading {
            position: fixed;
            top: -50%;
            left: -50%;
            width: 200%;
            height: 200%;
            background: rgba(241, 241, 241, 0.48);
            z-index: 2000;
            overflow: hidden;
        }

            #loading img {
                position: absolute;
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                margin: auto;
            }
    </style>
</head>
<body>
    <div id="loading">
        <img src="~/Content/ajax-loader.gif" />
    </div>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Read Excel File", "Index", "TransactionHistory", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Home", "Index", "TransactionHistory")</li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        <div class="row">
            <div class="col-md-6 form-group">
                <input type="file" id="file" class="form-control" />
            </div>
            <div class="col-md-6 form-group">
                <input type="button" id="btnUpload" value="Upload Excel" class="btn btn-success" />
            </div>
        </div>
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>
    @Scripts.Render("~/bundles/bootstrap")
</body>
</html>
<script>
    function showLoader() {
        $('#loading').show();
    }
    function hideLoader() {
        $('#loading').fadeOut();
    }
    $(document).ready(function () {
        hideLoader();
    });
</script>
<script>
    $(document).on('click', '#btnUpload', function () {
        if (window.FormData !== undefined) {
            var fileUpload = $("#file").get(0);
            if ($("#file").get(0).files.length == 0) {
                toastr.error("Please upload the file");
                return;
            }
            showLoader();
            var files = fileUpload.files;
            var fileData = new FormData();
            for (var i = 0; i < files.length; i++) {
                fileData.append(files[i].name, files[i]);
            }
            $.ajax({
                url: '/TransactionHistory/SaveExcel',
                type: "POST",
                contentType: false,
                processData: false,
                data: fileData,
                success: function (result) {
                    hideLoader();
                    if (result != null)
                        toastr.success("Excel uploaded successfully");
                    else
                        toastr.error("Something went wrong.Please contact administrator");
                },
                error: function (err) {
                    hideLoader();
                    toastr.error("Something went wrong.Please contact administrator");
                }
            });
        } else {
            toastr.error("FormData is not supported in the browser.");
        }
    });
</script>